package com.ozs.da.entity.model;

import com.ozs.da.entity.task.Task;
import com.lmax.disruptor.EventFactory;

/**
 * @author 许明
 * on 2019/3/7.
 * @version 2.0.0
 */
public class JobParseEvent {

    private Task parseTask;// 待执行任务信息

    public final static EventFactory<JobParseEvent> EVENT_FACTORY = new EventFactory<JobParseEvent>()
    {
        public JobParseEvent newInstance()
        {
            return new JobParseEvent();
        }
    };

    public Task getParseTask() {
        return parseTask;
    }

    public void setParseTask(Task parseTask) {
        this.parseTask = parseTask;
    }
}
